Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_Connection_Setup Class Reference

This class is a helper for the TAO_AV_UDP_Acceptor and TAO_AV_UDP_Connector. It basically just reduces duplicate code. It takes the address of the peer in the connection, whether or not it is a multicast connection, and whether it is a connector or acceptor; and creates the local address and flow handler associated with the connection. More...

`#include <UDP.h>`

List of all members.

## Public Types
enum | ConnectionType { CONNECTOR, ACCEPTOR }
| Indicates whether this setup is for a Connector or an Acceptor. More...
## Static Public Methods
int | setup (TAO_AV_Flow_Handler *&flow_handler, ACE_INET_Addr *inet_addr, ACE_INET_Addr *&local_addr, int is_multicast, ConnectionType ct)

## Detailed Description

This class is a helper for the TAO_AV_UDP_Acceptor and TAO_AV_UDP_Connector. It basically just reduces duplicate code. It takes the address of the peer in the connection, whether or not it is a multicast connection, and whether it is a connector or acceptor; and creates the local address and flow handler associated with the connection.

## Member Enumeration Documentation

enum TAO_AV_UDP_Connection_Setup::ConnectionType

  | Indicates whether this setup is for a Connector or an Acceptor. Enumeration values:
  CONNECTOR |
  ACCEPTOR |

## Member Function Documentation

int TAO_AV_UDP_Connection_Setup::setup | ( | TAO_AV_Flow_Handler *& | flow_handler,
|  | ACE_INET_Addr * | inet_addr,
|  | ACE_INET_Addr *& | local_addr,
|  | int | is_multicast,
|  | ConnectionType | ct
| ) | `[static]`

The documentation for this class was generated from the following files:

- UDP.h
- UDP.cpp